// Copyright 1998-2017 Epic Games, Inc. All Rights Reserved.

using UnrealBuildTool;

public class FOHEARTEditor : ModuleRules
{
	public FOHEARTEditor(ReadOnlyTargetRules Target) : base(Target)
	{
		PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;
		
		PublicIncludePaths.AddRange(
			new string[] {
				"FOHEARTEditor/Public",
                 "FOHEART/Public"
				// ... add public include paths required here ...
			}
			);
				
		
		PrivateIncludePaths.AddRange(
			new string[] {
				"FOHEARTEditor/Private",
                "FOHEART/Private"
				// ... add other private include paths required here ...
			}
			);


        PrivateIncludePathModuleNames.AddRange(new string[] { "FOHEART" });

        PublicDependencyModuleNames.AddRange(
			new string[]
			{
				"Core",
                "Engine",
                "InputCore",
                "AnimGraph",
                "BlueprintGraph",
				"FOHEART"
				// ... add other public dependencies that you statically link with here ...
			}
			);
        
        PrivateDependencyModuleNames.AddRange(
			new string[]
			{
				"CoreUObject",
				"Engine",
				"Slate",
				"SlateCore",
                "FOHEART"
				// ... add private dependencies that you statically link with here ...	
			}
			);
		
		
		DynamicallyLoadedModuleNames.AddRange(
			new string[]
			{
				// ... add any modules that your module loads dynamically here ...
			}
			);
	}
}
