// Copyright 1998-2017 Epic Games, Inc. All Rights Reserved.

#include "FOHEARTEditor.h"

#define LOCTEXT_NAMESPACE "FFOHEARTEditorModule"

void FFOHEARTEditorModule::StartupModule()
{
	// This code will execute after your module is loaded into memory; the exact timing is specified in the .uplugin file per-module
	UE_LOG(LogInit, Log, TEXT("Plugin For FOHEART C1 & FOHEART LEO start."));
}

void FFOHEARTEditorModule::ShutdownModule()
{
	// This function may be called during shutdown to clean up your module.  For modules that support dynamic reloading,
	// we call this function before unloading the module.
	UE_LOG(LogExit, Log, TEXT("Plugin For FOHEART C1 & FOHEART LEO stop."));
}

#undef LOCTEXT_NAMESPACE
	
IMPLEMENT_MODULE(FFOHEARTEditorModule, FOHEARTEditor)